Create insight

This will create a new AI insight for a prompt and additional customisations / tweaks that you want to apply only to this generation.

Tip: Get a promptId from the List prompts endpoint, or create a task-specific prompt with the Create prompt endpoint.

POST /api/v1/spaces/{spaceId}/recordings/{recordingId}/insights
API key in header x-api-key

Path parameters

· 2
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId string required

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Body

application/json
promptId string required

Id of the prompt to use for this insight generation.

How to get prompt id:
use the List prompts endpoint to see the workspace's prompts, or the Create prompt endpoint to add your own.

tweakQuery string

Any additional tweaks or requests you want to inject into the prompt used to generate the insight.

This is a good way to provide requests specific to this recording without having to edit the prompt itself.

Responses